Skip to main content
POST
Get rental records by UUIDs for a facility

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Query Parameters

Body

application/json
unitRentalRecordUuids
string<uuid>[]
required

Array of unit rental record UUIDs to retrieve data for

Example:

Response

200 - application/json

Successfully retrieved rental records data

unitUuid
string<uuid>
required

Unit UUID associated with this rental record

Example:

"2a3b4c5d-6e7f-8a9b-0c1d-2e3f4a5b6c7d"

facilityUuid
string<uuid>
required

Facility UUID where the unit is located

Example:

"1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"

rentalRecordUuid
string<uuid>
required

Rental record UUID

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

tenantUuid
string<uuid>
required

Tenant UUID associated with this rental record

Example:

"4b5c6d7e-8f9a-0b1c-2d3e-4f5a6b7c8d9e"

tenantStatus
enum<string>
required

Tenant status associated with this rental record

Available options:
PENDING_ACTIVATION,
ACTIVE,
PENDING_DEACTIVATION,
DEACTIVATED
Example:

"ACTIVE"

isAutopayEnabled
boolean
required

Whether the rental record currently has autopay enabled

Example:

true

status
string
required

Current status of the rental record

Example:

"MOVED_IN"

balance
number
required

Current balance on the rental record in pennies

Example:

12500

paidThroughDate
string<date> | null
required

Date when the rental record is paid through

Example:

"2024-01-15"

startDate
string<date>
required

Start date of the rental agreement

Example:

"2024-01-15"

endDate
string<date> | null
required

End date of the rental agreement (null if ongoing)

Example:

null

createdAt
string<date-time>
required

Timestamp when the rental record was created

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Timestamp when the rental record was last updated

Example:

"2024-01-20T15:45:00.000Z"

delinquent
boolean
required

Whether the rental record is currently delinquent

Example:

false

currentCoveragePartnerId
string | null
required

Current coverage partner ID (null if no coverage)

Example:

"COVERAGE_PARTNER_123"

coverageUuid
string<uuid> | null
required

UUID of the coverage. For private coverage, this will be the private coverage UUID: 11111111-1111-1111-1111-111111111111

Example:

"1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"

billingDayOfMonth
number
required

Day of month when billing occurs

Example:

15

balanceAge
number
required

Age of balance in 24-hour increments since oldest open/partial/overdue invoice

Example:

5

unitBlockedAccessDate
string<date> | null
required

Date when the unit was blocked from access

Example:

"2024-01-15T10:30:00.000Z"

facilityBlockedAccessDate
string<date> | null
required

Date when the facility was blocked from access

Example:

"2024-01-15T10:30:00.000Z"

delinquencyStatus
string | null
required

Delinquency status if there is an active delinquency, null otherwise

Example:

"OVERDUE"

desiredMoveOutDate
string<date> | null
required

Desired move-out date for the tenant (null if not specified)

Example:

"2024-12-31"

nextRentInPennies
number | null
required

Next scheduled rent amount in pennies

Example:

16000

nextRentChangeDate
string<date> | null
required

Date when the next rent amount becomes effective

Example:

"2025-02-01"

previousRentInPennies
number | null
required

Previous rent amount in pennies

Example:

14000

previousRentChangeDate
string<date> | null
required

Date when the previous rent amount changed

Example:

"2024-06-01"

billingTemplate
object | null
required

Billing template information for this rental record

primaryContact
object
required

Contact details for the

alternateContacts
object[]
required

Contact details for the alternate contacts

accountOwedBalance
number
required

Sum of all positive balances across the tenant's entire account (in pennies)

Example:

25000

unitNumber
string
required

Unit number

Example:

"A101"

unitStatus
enum<string>
required

Unit occupancy status

Available options:
VACANT,
RESERVED,
OCCUPIED,
UNRENTABLE,
OWNER OCCUPIED,
PENDING_SIGNATURE
Example:

"VACANT"

businessName
string | null

Business name (populated for BUSINESS accounts, null for PERSONAL)

Example:

"Acme Storage LLC"

paymentProfile
object[]

Included when ?expand[paymentProfile][] is present; autopay payment profile for this rental record

lastPayment
object | null

Included when ?expand[lastPayment][] is present; most recent payment for this rental record